#!/usr/bin/perl -w

use strict;
use warnings;

# my $directory = "/Volumes/myDocument/Users/ni/Documents/mail_text/kuden_mails2/";
# my $outputdir = "/Volumes/myDocument/Users/ni/Documents/mail_text/kuden_mails3/";
# my $filename = "kuden_mail_05-09-15.txt";

# @ARGV = ("/Volumes/myDocument/Users/ni/Documents/mail_text/kuden_mails/", "/Volumes/myDocument/Users/ni/Documents/mail_text/kuden_mails3/", "kuden_mail_05-09-15.txt");

my $directory = shift;
my $outputdir = shift;
my $filename = shift;

if ($filename !~ /\.txt$/) {
	$filename .= '.txt';
}

my ($indexfilename) = $filename =~ /^(.+)\.txt/;
$indexfilename .= '_mail_index.txt';


my @files;
opendir (DIR, $directory) || die ("Couldn't open directory $directory: $!");
@files = readdir (DIR);
closedir (DIR);

if ($files[3] !~ /^\d{4}\-\d{2}\-\d{2}/) {
	print ("$files[3]: This seems not a folder containing converted mail files...!");
	exit;
}

my @sortedfiles;

@sortedfiles = sort @files;

if (! -e $outputdir) {
	mkdir $outputdir;
}

open (OUT, '>:utf8', $outputdir . $filename);

foreach my $file (@sortedfiles) {
	next if $file =~ /^\./;
	if ($file =~ /index/) {
		my $indexfile = $outputdir . $indexfilename;
		my $inputindex = $directory . $file;
		open (INDEXOUT, '>:utf8', $indexfile);
		open (INDEXIN, '<:utf8', $inputindex);
		while (<INDEXIN>) {
			print INDEXOUT;
		}
		close (INDEXIN);
		close (INDEXOUT);
		next;
	}
		
	$file = $directory . $file;
	open (IN, '<:utf8', $file);
	while (<IN>) {
		print OUT;
	}
	close (IN);
}

close (OUT);
